workflows
Create workflows runs
Requires scopes: runs:write
POST
/
api
/
workflows
/
{id}
/
runs
Create workflows runs
curl --request POST \
--url https://evalgate.com/api/workflows/{id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"traceId": 123,
"input": {},
"metadata": {}
}
'import requests
url = "https://evalgate.com/api/workflows/{id}/runs"
payload = {
"traceId": 123,
"input": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({traceId: 123, input: {}, metadata: {}})
};
fetch('https://evalgate.com/api/workflows/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input": {},
"status": "<string>",
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {
"trigger": "<string>",
"environment": "<string>",
"evaluationId": 123,
"autonomyLevel": "manual",
"approvalMode": "<string>",
"hookCount": 123,
"checkpointed": false,
"agentWorkflowType": "<string>",
"sessionId": "<string>",
"workflowProfile": {
"recipeTitle": "<string>",
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": true,
"requiredHooks": [
"session_start"
],
"linkedFailureModes": [
"<string>"
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"source": "coverage_gap"
},
"hookInvocations": [
{
"hook": "session_start",
"blocked": true,
"latencyMs": 123,
"detail": "<string>"
}
],
"approvalDecisions": [
{
"actionType": "<string>",
"riskLevel": "low",
"recommendedDisposition": "deny",
"finalDisposition": "approved",
"rationale": "<string>"
}
],
"memoryEvents": [
{
"layer": "session",
"operation": "read",
"sourceId": "<string>",
"detail": "<string>"
}
],
"checkpoints": [
{
"kind": "manual",
"restorable": true,
"label": "<string>"
}
],
"debugSnapshots": [
{
"stepIndex": 123,
"label": "<string>",
"activeHooks": [
"session_start"
],
"memoryRefs": [
"<string>"
],
"approvalState": "<string>",
"summary": "<string>"
}
],
"runtimeSummary": {
"executionMode": "analysis_only",
"finalStatus": "failed",
"stopReason": "<string>",
"approvalState": "<string>",
"hookCount": 123,
"memoryReadCount": 123,
"checkpointCreated": true,
"handoffCount": 123,
"debugSnapshotCount": 123,
"decisionCount": 123,
"workflowRunId": 123,
"traceId": 123
}
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"agentCount": 123,
"traceId": 123,
"retryCount": 123,
"errorMessage": "<string>",
"output": {},
"workflowId": 123,
"trigger": "<string>",
"totalCost": "<string>",
"totalDurationMs": 123,
"handoffCount": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create workflows runs
